Getting Started

Getting Started

API

MCP Server

Get Task Status

Check the status, progress, and result of a 3D generation task.

Progress stages:

ProgressStageDescription
0InitializingTask starting up
20Downloading imagesFetching input images
40Generating 3D meshCore 3D generation
80Processing meshPost-processing
90Uploading resultUploading GLB to storage
100CompletedDone

Polling strategy: Poll every 2-5 seconds for async tasks.

GET
/tasks/{taskId}

Authorization

BearerAuth

AuthorizationBearer <token>

API key with tr_ prefix, sent as Bearer token

In: header

Path Parameters

taskId*string

Task ID returned from POST /3d/generations

Response Body

application/json

application/json

application/json

curl -X GET "https://trellis2.app/api/v1/tasks/task_abc123"

{
  "id": "task_abc123",
  "object": "3d.generation",
  "status": "completed",
  "progress": 100,
  "progress_stage": "Completed",
  "created": 1723000000,
  "completed_at": 1723000060,
  "data": {
    "model_url": "https://r2.example.com/model.glb",
    "format": "glb",
    "model": "trellis2"
  },
  "usage": {
    "credits_consumed": 10,
    "credits_remaining": 990
  }
}

{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}
curl -X GET "https://trellis2.app/api/v1/tasks/task_abc123"